Summary: A system tool for maintaining the /etc/rc.d hierarchy.
Name: chkconfig
Version: 1.2.24f
Release: 11tr
License: GPL
Group: System/Administration
Source: http://www.buttsoft.com/~thumper/downloads/chkconfig/chkconfig-%{version}.tar.gz
Patch: chkconfig-1.2.24f-trustix.patch
BuildRequires: autoconf
BuildRoot: /var/tmp/%{name}-root
Requires: initscripts
PreReq: filesystem

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc.d, to relieve system administrators of some 
of the drudgery of manually editing the symbolic links.

%prep
%setup -q
%patch0 -p1

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--sbindir=/sbin \
	--with-init-dir=/etc/init.d \
	--disable-nls

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/chkconfig
/usr/share/man/man8/chkconfig.8*

%changelog
* Fri Oct 31 2003 Chr. Toldnes <christht at trustix dot org> 1.2.24f-11tr
- backport

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 1.2.24f-10tsl
- port to tawie

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.24f-9tr
- Big rebuild

* Tue Jun 17 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.24f-8em
- Now PreReq filesystem.

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.24f-7em
- No longer own the startup directories, we leave that others.

* Wed May 14 2003 Chr. H. Toldnes <christht at trustix dot com> 1.2.24f-6ct
- Minor doc-fix in the patch.
- Now use CFLAGS in build

* Wed May 14 2003 Chr. H. Toldnes <christht at trustix dot com> 1.2.24f-5ct
- Added patch to change behaviour to fit the TSL way. :)

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.24f-4em
- Rebuilt against glibc 2.3.2.

* Mon Oct 21 2002 Goetz Bock <bock at trustix dot org> 1.2.24f-3bg
- added autoconf to build requirements

* Wed Sep  4 2002 Christian H. Toldnes <christht at trustix dot com> 1.2.24f-2ct
- Added --with-init-dir=/etc/init.d

* Tue Jul  9 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: 1.2.24f
- Modified to fit TSL 2.0
- Removed ntsysv package, it's not present in the source.
- Removed NLS.

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.2.22
- Make /etc/init.d a symlink to rc.d/init.d

* Mon Feb 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved manpages to comply with FHS 2.0

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Wed Jan 12 2000 Bill Nottingham <notting@redhat.com>
- link chkconfig statically against popt

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix querying alternate levels

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- don't use strchr to skip unwanted files, look at extension instead (#4166).

* Thu Aug  5 1999 Bill Nottingham <notting@redhat.com>
- fix --help, --verson

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt ntsysv against newt 0.50

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- fix i18n problem in usage message (#4233).
- add --help and --version.

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat 6.0

* Thu Apr  8 1999 Matt Wilson <msw@redhat.com>
- added support for a "hide: true" tag in initscripts that will make
  services not appear in ntsysv when run with the "--hide" flag

* Thu Apr  1 1999 Matt Wilson <msw@redhat.com>
- added --hide flag for ntsysv that allows you to hide a service from the
  user.

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- fix glob, once and for all. Really. We mean it.

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- revert fix for services@levels, it's broken
- change default to only edit the current runlevel

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- don't remove scripts that don't support chkconfig

* Tue Mar 09 1999 Erik Troan <ewt@redhat.com>
- made glob a bit more specific so xinetd and inetd don't cause improper matches

* Thu Feb 18 1999 Matt Wilson <msw@redhat.com>
- removed debugging output when starting ntsysv

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- fixed globbing error
- fixed ntsysv running services not at their specified levels.

* Tue Feb 16 1999 Matt Wilson <msw@redhat.com>
- print the value of errno on glob failures.

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt for newt 0.40 (ntsysv)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po.

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- updated czech translation (and use cs instead of cz)

* Tue Sep 22 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- added more translatable strings
- support for i18n init.d scripts description

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built against newt 0.30
- split ntsysv into a separate package

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- added numerous translations

* Mon Mar 23 1998 Erik Troan <ewt@redhat.com>
- added i18n support

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added --back
